report_select_type:
    path:  /{_locale}/person/{person_id}/report/select/type/for/creation
    defaults: { _controller: "ChillReportBundle:Report:selectReportType" }
    options:
        menus:
            person:
                order: 100
                label: Add a report
report_new:
    path:     /{_locale}/person/{person_id}/report/cfgroup/{cf_group_id}/new
    defaults: { _controller: "ChillReportBundle:Report:new" }

report_create:
    path:     /{_locale}/person/{person_id}/report/cfgroup/{cf_group_id}/create
    defaults: { _controller: "ChillReportBundle:Report:create" }
    methods: [POST]

report_list:
    path:     /{_locale}/person/{person_id}/report/list
    defaults: { _controller: "ChillReportBundle:Report:list" }
    options:
        menus:
            person:
                order: 101
                label: Report list
report_view:
    path:     /{_locale}/person/{person_id}/report/{report_id}/view
    defaults: { _controller: "ChillReportBundle:Report:view" }

report_edit:
    path:     /{_locale}/person/{person_id}/report/{report_id}/edit
    defaults: { _controller: "ChillReportBundle:Report:edit" }

report_update:
    path:     /{_locale}/person/{person_id}/report/{report_id}/update
    defaults: { _controller: "ChillReportBundle:Report:update" }
    methods: [POST, PUT]

report_export_list:
    path: /{_locale}/export/report/cfgroup/{cf_group_id}
    defaults: { _controller: "ChillReportBundle:Report:export" }


report_export_select_type:
    path: /{_locale}/export/report/select/type
    defaults: {_controller: "ChillReportBundle:Report:selectReportTypeForExport" }
    options:
        menus:
            export:
                order: 100
                label: Export reports
